# include/NvElement.h File Reference

NVIDIA Eagle Eye API: NvElement Base Class More...

`#include <iostream>`
`#include <sys/time.h>`
`#include <stdint.h>`
`#include <string.h>`
`#include "NvElementProfiler.h"`

Go to the source code of this file.

## Classes

class | NvElement
| Every element has a unique name that can be used for identifying the element in debug logs. More...

## Detailed Description

NVIDIA Eagle Eye API: NvElement Base Class

This file declares the NvElement base class.

Definition in file NvElement.h.